Bug 1313398 - Content host deletes taking abnormally long time
Summary: Content host deletes taking abnormally long time
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Candlepin
Version: 6.1.7
Hardware: x86_64
OS: Linux
high
high vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On: 1313544
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-01 14:30 UTC by Chris Roberts
Modified: 2020-03-11 15:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-22 15:44:41 UTC
Target Upstream Version:


Attachments (Terms of Use)
EL7 Hotfix packages (2.43 MB, application/x-tar)
2016-03-18 21:14 UTC, Mike McCune
no flags Details
EL6 Hotfix packages (1.50 MB, application/x-tar)
2016-03-18 21:15 UTC, Mike McCune
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0475 normal SHIPPED_LIVE Satellite 6.1.8 bug fix update 2016-03-22 19:42:56 UTC

Comment 6 Corey Welton 2016-03-18 18:25:11 UTC
Verified on a 6.1.7 box upgraded to 6.1.8 compose 1.  removal of content hosts went from 5-10 seconds or longer to about ~1sec, using visual observation.


Marking bug verified.

Comment 7 Mike McCune 2016-03-18 21:14:05 UTC
Hotfix RPMs available for installation to resolve this issue, attached to this ticket.

Installation instructions:

1) Download either EL6 or EL7 version of the tar.gz needed for your Satellite
2) shutdown services:

# katello-service stop

3) Unpack the archive (EL7 example):

tar xvzf candlepin-0.9.49.12-EL7.tar.gz

4) Upgrade:

rpm -Uvh candlepin-*0.9.49.12-1*.rpm

5) Start services

# katello-service start

Resume operations.

Comment 8 Mike McCune 2016-03-18 21:14:42 UTC
Created attachment 1137884 [details]
EL7 Hotfix packages

Comment 9 Mike McCune 2016-03-18 21:15:09 UTC
Created attachment 1137885 [details]
EL6 Hotfix packages

Comment 11 errata-xmlrpc 2016-03-22 15:44:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:0475


Note You need to log in before you can comment on or make changes to this bug.